

%global sqlite_version 3.42.0
%global uprel 1
%global pkg_version %{sqlite_version}.%{uprel}

%global real_version %(eval echo %{pkg_version} | %{__sed} 's/-/./')

Name:               python-apsw
Version:            %{real_version}
Release:    1%{?dist}
Summary:            Another Python SQLite Wrapper
License:            zlib
URL:                https://github.com/rogerbinns/apsw
Source0:             https://github.com/rogerbinns/apsw/releases/download/%{pkg_version}/apsw-%{pkg_version}.zip

BuildRequires:      gcc
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      sqlite-devel >= %{sqlite_version}

Requires:           sqlite >= %{sqlite_version}

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package -n python%{python3_pkgversion}-apsw
Summary:            Another Python SQLite Wrapper

%description -n python%{python3_pkgversion}-apsw
APSW is a Python %{python3_version} wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%autosetup -n apsw-%{pkg_version} -p1
rm -f doc/.buildinfo

%build
%py3_build -- --enable=load_extension

%install
%py3_install

%check
%{__python3} setup.py build_test_extension
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} setup.py test

%files -n python%{python3_pkgversion}-apsw
%doc doc/*
%{python3_sitearch}/apsw
%{python3_sitearch}/apsw*.egg-info


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.0.1-1
- initial build
